var qtdeMostrada = -qtdeCarregar;

function carregarDadosVisitas() {
	$(document).off("scrollstop");
	qtdeMostrada += qtdeCarregar;
	
	if (document.getElementById('tabelarelvisitas').childNodes[3].innerHTML.indexOf('final-tabela') > 0) {
		return;
	}
	
	var id, x;
	x = $('#titulovisitas').text();
	if (x.indexOf("Visitas Negativas") >= 0) {
		id = 'linkvisitasnegativas';
	} else {
		id = 'linknrovisitas';
	}
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('desempvendedor/visitasclientes.php',
		{
			tiporel: id,
			dataini: $('#datainidesvendedor').val(),
			datafin: $('#datafindesvendedor').val(),
			inicio: qtdeMostrada,
			qtde: qtdeCarregar //qtdeCarregar em dadosJS.js
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarelvisitas').childNodes[3].innerHTML += data;
				$("#tabelarelvisitas").table("refresh");
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelvisitas").click();
			}
		}
	);
	$(document).on('scrollstop', scrollStopVisitas);
}

function scrollStopVisitas() {
	checkScroll(carregarDadosVisitas, "relvisitas"); //checkScroll em dadosJS.js
}

$.mobile.document

	.on('click', '#linkvendedor', function(e){
		$('#titulovendedor').text(e.target.outerText);
		$.post('desempvendedor/infovendedor.php',
			{
				dataini: $('#datainidesvendedor').val(),
				datafin: $('#datafindesvendedor').val(),
				codvendedor: e.target.firstChild.value
			},
			function(data){
				$("#listvisitas li").remove();
				$("#hidcodvendedor").val(e.target.firstChild.value);
				var listvisitas = $("#listvisitas");
				listvisitas.append(data);
				listvisitas.listview("refresh");
			}
		)
	})
	
	.on('click', '#linkrelvisitas', function(e){
		$('#titulovisitas').text(e.target.firstChild.data);
	})
	
	.on('click', '.relvisitas', function(e){
		var divtabelavisitas = $('#divtabelavisitas');
		qtdeMostrada = -qtdeCarregar;
		$('#titulovisitas').text(e.target.outerText);
		carregarDadosVisitas();
	})
	
	.on('click', '#voltarrelvisitas', function(){
		$("#tabelarelvisitas tbody tr").remove();
	})
	
	.on('pagebeforecreate', '#desempvend', function() {
		var listadesvendedor = $('#listadesvendedor');
		if (listadesvendedor.children().length <= 1) {
			$.ajaxSetup({
				beforeSend: loads,
				complete: removes
			});
			$.post('desempvendedor/listVendedores.php', {},
				function(data) {
					listadesvendedor.append(data);
					listadesvendedor.listview('refresh');
				}
			);
		}
	})
	
	.on('pageshow', '#relvisitas', function() {
		$(document).on('scrollstop', scrollStopVisitas);
	})
	
	;